---
title: SecurityPolicyViolationEvent.referrer
slug: Web/API/SecurityPolicyViolationEvent/referrer
tags:
  - API
  - CSP
  - Experimental
  - HTTP
  - Property
  - Reference
  - Security
  - SecurityPolicyViolationEvent
  - referrer
---
<div>{{APIRef("{{HTTPSidebar}}")}}{{ SeeCompatTable() }}</div>

<p>The <code><strong>referrer</strong></code> read-only property of the {{domxref("SecurityPolicyViolationEvent")}} interface is a {{domxref("USVString")}} representing the referrer of the resources whose policy was violated. This will be a URL or <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>referrer</var> = <var>violationEventInstance</var>.referrer;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} representing the URL of the referrer of the violating resources.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.addEventListener("securitypolicyviolation", (e) =&gt; {
  console.log(e.referrer);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSP 3.0','#dom-securitypolicyviolationevent-referrer','referrer')}}</td>
   <td>{{Spec2('CSP 3.0')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SecurityPolicyViolationEvent.referrer")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CSP">Content Security Policy (CSP)</a></li>
</ul>
